	.section .note.GNU-stack
	.text
	.globl	func
	.type	func, @function
func:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x10, %rsp
	mov	$0x14, %rax
	mov	%rax, 0x0(%rsp)
	mov	$0xa, %rax
	mov	%rax, 0x8(%rsp)
	mov	$.LC0, %rax
	mov	%rax, %rdi
	mov	0x0(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$.LC1, %rax
	mov	%rax, %rdi
	mov	0x8(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$0x1e, %rax
	push	%rax
	mov	$.LC2, %rax
	mov	%rax, %rdi
	mov	0x0(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$.LC3, %rax
	mov	%rax, %rdi
	mov	0x8(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$.LC4, %rax
	mov	%rax, %rdi
	mov	0x10(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$0x28, %rax
	push	%rax
	mov	$.LC5, %rax
	mov	%rax, %rdi
	mov	0x0(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$.LC6, %rax
	mov	%rax, %rdi
	mov	0x8(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$.LC7, %rax
	mov	%rax, %rdi
	mov	0x10(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$.LC8, %rax
	mov	%rax, %rdi
	mov	0x18(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	pop	%rax
	mov	$.LC9, %rax
	mov	%rax, %rdi
	mov	0x0(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$.LC10, %rax
	mov	%rax, %rdi
	mov	0x8(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$.LC11, %rax
	mov	%rax, %rdi
	mov	0x10(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	pop	%rax
	mov	$.LC12, %rax
	mov	%rax, %rdi
	mov	0x0(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$.LC13, %rax
	mov	%rax, %rdi
	mov	0x8(%rsp), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret
	.text
	.globl	main
	.type	main, @function
main:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x0, %rsp
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	func
	mov	%rbx, %rsp
	pop	%rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret

	.data
.LC13:	.string	"%d\n"
.LC12:	.string	"%d\n"
.LC11:	.string	"%d\n"
.LC10:	.string	"%d\n"
.LC9:	.string	"%d\n"
.LC8:	.string	"%d\n"
.LC7:	.string	"%d\n"
.LC6:	.string	"%d\n"
.LC5:	.string	"%d\n"
.LC4:	.string	"%d\n"
.LC3:	.string	"%d\n"
.LC2:	.string	"%d\n"
.LC1:	.string	"%d\n"
.LC0:	.string	"%d\n"
